# Customize this configuration as necessary to provide defaults for various
# test environments.
#
# The set of defaults to use is determined by the MEDIAWIKI_ENVIRONMENT
# environment variable.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   bundle exec cucumber
#
# Additional variables set by the environment will override the corresponding
# defaults defined here.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   export MEDIAWIKI_USER=Selenium_user2
#   bundle exec cucumber
#
mw-vagrant-host:
  language_code: en
  browser: firefox
  mediawiki_url: http://127.0.0.1:8080/wiki/
  mediawiki_user: Selenium_user
  mediawiki_password: vagrant

mw-vagrant-guest: &default
  language_code: en
  browser: firefox
  mediawiki_url: http://127.0.0.1/wiki/
  mediawiki_user: Selenium_user
  mediawiki_password: vagrant

beta:
  language_code: en
  browser: firefox
  mediawiki_url: http://wikidata.beta.wmflabs.org/wiki/
  mediawiki_user: Selenium_user
  # mediawiki_password: SET THIS IN THE ENVIRONMENT!

test:
  language_code: en
  browser: firefox
  mediawiki_url: http://test.wikidata.org/wiki/
  mediawiki_user: Selenium_user
  # mediawiki_password: SET THIS IN THE ENVIRONMENT!

integration:
  item_namespace: 'Item:'
  language_code: en
  browser: firefox
  user_factory: true
  # mediawiki_url: JENKINS WILL SET THIS

default: *default
